extends Control

@onready var resonance_container: ResourceContainer = %ResonanceContainer

func _ready() -> void:
	Resonance.fragment_collected.connect(_update_resonance_fragments)

func _update_resonance_fragments():
	resonance_container.update_resource_count(Resonance.get_fragment_count())
